(function (context, $) {

  "use strict"

  context.JK = context.JK || {}
  context.JK.StepVideoGear = function (app, $dialog) {
    var $step = null    
    var $webcamViewer = new context.JK.WebcamViewer()
    function initialize(_$step) {
      $step = _$step
      $webcamViewer.init($step)
    }

    function beforeShow() {
      $webcamViewer.beforeShow()      
    }

    function beforeHide() {
      $webcamViewer.setVideoOff()      
    }

    this.beforeShow = beforeShow
    this.beforeHide = beforeHide
    this.initialize = initialize
    
    return this
  }
})(window, jQuery)